> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authenticated User

> Get authenticated subscriber's wallet address for identity verification and session validation



## OpenAPI

````yaml /openapi/alerts.json get /v2/auth
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/auth:
    get:
      tags:
        - Integrate an Inbox
      summary: Get Authenticated User
      description: >-
        Get authenticated subscriber's wallet address for identity verification
        and session validation
      operationId: getAuthenticatedUser
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      responses:
        '200':
          description: User authentication details
          content:
            application/json:
              schema:
                type: object
                properties:
                  walletAddress:
                    type: string
                    description: User wallet address
                    example: 6CxnSjtasq5Tzwb4b93AhLofXtiDvMpQ2vTkWdSZqTH7
                required:
                  - walletAddress
        '401':
          description: Unauthorized
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````